/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.server;

import org.apache.log4j.Logger;
import org.dive4elements.river.client.client.services.WQInfoService;
import org.dive4elements.river.client.shared.exceptions.ServerException;
import org.dive4elements.river.client.shared.model.WQInfoObject;
import org.w3c.dom.Document;

/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class WQInfoServiceImpl extends AbstractMainValuesServiceImpl implements WQInfoService {
    private static final long serialVersionUID = 1L;

    private static final Logger log = Logger.getLogger(WQInfoServiceImpl.class);

    @Override
    public WQInfoObject[] getWQInfo(final String locale, final String river, final double from, final double to) throws ServerException {
        log.info("WQInfoServiceImpl.getWQInfo");

        final Document input = createInput(river, from, to, null, null);

        return callService("mainvalues", input, locale);
    }
}